Bug 208904 - [maintainer update] update cad/openvsp to 3.5.2
Summary: [maintainer update] update cad/openvsp to 3.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-18 17:42 UTC by Fernando Apesteguía
Modified: 2016-04-22 17:20 UTC (History)
1 user (show)

See Also:


Attachments
Patch to the ports tree (26.61 KB, patch)
2016-04-18 17:42 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff
poudriere log on 10.2-RELEASE-amd64 (405.59 KB, text/x-log)
2016-04-18 17:43 UTC, Fernando Apesteguía
no flags Details
Patch to the ports tree (26.16 KB, patch)
2016-04-21 21:09 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff
poudriere log on 10.2-RELEASE-amd64 (394.56 KB, text/x-log)
2016-04-21 21:10 UTC, Fernando Apesteguía
no flags Details
Patch to the ports tree (577 bytes, patch)
2016-04-22 16:29 UTC, Fernando Apesteguía
no flags Details | Diff
poudriere log on 10.2-RELEASE-amd64 (394.29 KB, text/x-log)
2016-04-22 16:31 UTC, Fernando Apesteguía
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2016-04-18 17:42:49 UTC
Created attachment 169447 [details]
Patch to the ports tree

This patch updates cad/openvsp to version 3.5.2 (latest version).

A bunch of patches were needed. Some of them to include missing header files and some others to add -fPIC to compiler flags. The latter is only needed for amd64 and I don't have any 32 bit machines available so I strongly suggest to run the build on a 32 bit system before committing the patch.

The application runs fine on amd64:

https://www.dropbox.com/s/hb8y8xyb73ed32z/shot.png?dl=0

We now have a pkg-plist file and the new distribution doesn't have example aircraft files. Insted, the project has an online repository (http://hangar.openvsp.org/).

The upstream project seems receptive to patches so I plan to send pull requests as soon as possible.

Attached patch for 10.2amd64.

The port doesn't build on 9.x since one of the dependencies (graphics/code-eli) is marked as broken due to the use of std::cbrt() and others.
Comment 1 Fernando Apesteguía freebsd_committer 2016-04-18 17:43:15 UTC
Created attachment 169448 [details]
poudriere log on 10.2-RELEASE-amd64
Comment 2 Kurt Jaeger freebsd_committer 2016-04-19 05:16:07 UTC
The patch has $PORTSDIR references, which are no longer used. Can you try to update the patch ?

Can you also check the output of portlint -AC ?
Comment 3 Kurt Jaeger freebsd_committer 2016-04-19 18:41:15 UTC
I've fixed the patch, and made testbuilds.

Somewhere in the dependencies, both jpeg and jpeg-turbo both want to be installed which breaks the build in lib-depends. See

http://people.freebsd.org/~pi/logs/cad__openvsp-103-1461067374.txt

I have to check if it's because of one of my preferences or if it
is a general issue.
Comment 4 Fernando Apesteguía freebsd_committer 2016-04-19 20:25:41 UTC
(In reply to Kurt Jaeger from comment #3)

You're faster than me as usual :)

I can test your patch if you want, but never had a conflict problem with jpeg/jpeg-turbo before regarding cad/openvsp.

Does it fail on i386 too?

Regards.
Comment 5 Kurt Jaeger freebsd_committer 2016-04-19 20:31:12 UTC
Yes, fails for 10.3i, the build-log is 
cad__openvsp-10i-1461067374.txt at the same base page.
Comment 6 Fernando Apesteguía freebsd_committer 2016-04-20 21:59:44 UTC
(In reply to Kurt Jaeger from comment #5)

I updated my jails port snapshot and it now fails:
===========================================================================
=======================<phase: lib-depends    >============================
===>   openvsp-3.5.2 depends on shared library: libpthread-stubs.so - found (/usr/local/lib/libpthread-stubs.so)
===>   openvsp-3.5.2 depends on shared library: libjpeg.so - not found
===>   Installing existing package /packages/All/jpeg-8_6.txz
[10_2amd64-local] Installing jpeg-8_6...
[10_2amd64-local] Extracting jpeg-8_6: .......... done
===>   openvsp-3.5.2 depends on shared library: libjpeg.so - found (/usr/local/lib/libjpeg.so)
===>   Returning to build of openvsp-3.5.2
===>   openvsp-3.5.2 depends on shared library: libdrm.so - not found
===>   Installing existing package /packages/All/libdrm-2.4.66,1.txz
[10_2amd64-local] Installing libdrm-2.4.66,1...
[10_2amd64-local] `-- Installing libpciaccess-0.13.4...
[10_2amd64-local] |   `-- Installing pciids-20160412...
[10_2amd64-local] |   `-- Extracting pciids-20160412: ...... done
[10_2amd64-local] `-- Extracting libpciaccess-0.13.4: ...... done
[10_2amd64-local] Extracting libdrm-2.4.66,1: .......... done
===>   openvsp-3.5.2 depends on shared library: libdrm.so - found (/usr/local/lib/libdrm.so)
===>   Returning to build of openvsp-3.5.2
===>   openvsp-3.5.2 depends on shared library: libpng16.so - not found
===>   Installing existing package /packages/All/png-1.6.21.txz
[10_2amd64-local] Installing png-1.6.21...
[10_2amd64-local] Extracting png-1.6.21: .......... done
===>   openvsp-3.5.2 depends on shared library: libpng16.so - found (/usr/local/lib/libpng16.so)
===>   Returning to build of openvsp-3.5.2
===>   openvsp-3.5.2 depends on shared library: libfreetype.so - found (/usr/local/lib/libfreetype.so)
===>   openvsp-3.5.2 depends on shared library: libexpat.so - found (/usr/local/lib/libexpat.so)
===>   openvsp-3.5.2 depends on shared library: libfontconfig.so - found (/usr/local/lib/libfontconfig.so)
===>   openvsp-3.5.2 depends on shared library: libfltk.so - not found
===>   Installing existing package /packages/All/fltk-1.3.3_2.txz
[10_2amd64-local] Installing fltk-1.3.3_2...
[10_2amd64-local] `-- Installing jpeg-turbo-1.4.2...
pkg-static: jpeg-turbo-1.4.2 conflicts with jpeg-8_6 (installs files into the same place).  Problematic file: /usr/local/bin/cjpeg
Comment 7 Fernando Apesteguía freebsd_committer 2016-04-21 21:09:31 UTC
Created attachment 169550 [details]
Patch to the ports tree

Change Makefile to link agains jpeg-turbo.

Remove ${PORTSDIR} references.
Comment 8 Fernando Apesteguía freebsd_committer 2016-04-21 21:10:36 UTC
Created attachment 169551 [details]
poudriere log on 10.2-RELEASE-amd64
Comment 9 Fernando Apesteguía freebsd_committer 2016-04-21 21:13:26 UTC
Since jpeg-turbo is a drop-in replacement for libjpeg, I used it to provide the required dependency. This avoids conflict when installing fltk.

It builds now in 10.2 with very recent ports snapshot. I tested it by setting LD_LIBRARY_PATH pointing to jpeg-turbo. The program seems to work without problems.
Comment 10 Kurt Jaeger freebsd_committer 2016-04-21 21:14:36 UTC
thanks. testbuilds have started. Will take some time.
Comment 11 Kurt Jaeger freebsd_committer 2016-04-22 09:05:20 UTC
Testbuilds look good (one still running)
Comment 12 commit-hook freebsd_committer 2016-04-22 09:51:00 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 22 09:50:44 UTC 2016
New revision: 413770
URL: https://svnweb.freebsd.org/changeset/ports/413770

Log:
  cad/openvsp: 2.3.0 -> 3.5.2

  Changes:
  - Latest:
    http://openvsp.org/blogs/announcements/2016/02/14/openvsp-3-5-2-released
  - all older release notes are in
    http://openvsp.org/blogs/
  - no longer includes example aircraft files, now seperatly available at
    http://hangar.openvsp.org/
  - Needs some math functions, so no luck on 9.x or i386

  PR:		208904
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo
  head/cad/openvsp/files/patch-Libraries_cmake_External__CMinpack.cmake
  head/cad/openvsp/files/patch-Libraries_cmake_External__libIGES.cmake
  head/cad/openvsp/files/patch-src_cfd__mesh_CMakeLists.txt
  head/cad/openvsp/files/patch-src_cmake_External__STEPCode.cmake
  head/cad/openvsp/files/patch-src_external_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_angelscript_sdk_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_glfont2_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_sixseries_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_triangle_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_tritri_CMakeLists.txt
  head/cad/openvsp/files/patch-src_fltk__screens_CMakeLists.txt
  head/cad/openvsp/files/patch-src_geom__api_CMakeLists.txt
  head/cad/openvsp/files/patch-src_geom__core_CMakeLists.txt
  head/cad/openvsp/files/patch-src_gui__and__draw_CMakeLists.txt
  head/cad/openvsp/files/patch-src_gui__and__draw_GroupLayout.h
  head/cad/openvsp/files/patch-src_gui__and__draw_MainVSPScreen.h
  head/cad/openvsp/files/patch-src_gui__and__draw_MenuItem.h
  head/cad/openvsp/files/patch-src_util_CMakeLists.txt
  head/cad/openvsp/files/patch-src_util__code_array.h
  head/cad/openvsp/files/patch-src_vsp__aero_CMakeLists.txt
  head/cad/openvsp/files/patch-src_vsp__graphic_CMakeLists.txt
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Image.cpp
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Shader.cpp
  head/cad/openvsp/files/patch-src_vsp_af.cpp
  head/cad/openvsp/files/patch-src_vsp_havoc__geom.cpp
  head/cad/openvsp/files/patch-src_vsp_havoc__geom.h
  head/cad/openvsp/files/patch-src_xmlvsp_CMakeLists.txt
  head/cad/openvsp/files/patch-vsp-CMakeLists.txt
  head/cad/openvsp/files/patch-xmlvsp-CMakeLists.txt
  head/cad/openvsp/pkg-plist
Comment 13 Kurt Jaeger freebsd_committer 2016-04-22 10:03:34 UTC
Committed, thanks!

Please have a look at my poudriere build on 10.3-i386:

http://people.freebsd.org/~pi/logs/cad__openvsp-10i-1461298916.txt

If you can fix the small bugs still in there, I think it should also
build on i386.
Comment 14 Fernando Apesteguía freebsd_committer 2016-04-22 16:29:16 UTC
(In reply to Kurt Jaeger from comment #13)

I could spot just the 'abs' bug in the log. A new patch is attached and a new poudriere log for 10.2amd64. Still lacking any 32 bit systems so I can not test it.
Comment 15 Fernando Apesteguía freebsd_committer 2016-04-22 16:29:53 UTC
Created attachment 169566 [details]
Patch to the ports tree
Comment 16 Fernando Apesteguía freebsd_committer 2016-04-22 16:31:45 UTC
Created attachment 169567 [details]
poudriere log on 10.2-RELEASE-amd64

This build just checks that it doesn't break amd64
Comment 17 Kurt Jaeger freebsd_committer 2016-04-22 17:07:02 UTC
(In reply to fernando.apesteguia from comment #15)
testbuild@work
Comment 18 commit-hook freebsd_committer 2016-04-22 17:15:32 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 22 17:15:02 UTC 2016
New revision: 413788
URL: https://svnweb.freebsd.org/changeset/ports/413788

Log:
  cad/openvsp: Fix build on i386

  PR:		208904
  Submitted by:	fernando.apesteguia@gmail.com (maintainer)

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Scene.cpp
Comment 19 Kurt Jaeger freebsd_committer 2016-04-22 17:17:32 UTC
Testbuild is fine, committed, thanks.
Comment 20 Fernando Apesteguía freebsd_committer 2016-04-22 17:20:45 UTC
(In reply to Kurt Jaeger from comment #19)

Terrific, thanks for letting me know about that. I'll try to create pull requests to the upstream project and get those patches accepted.

Cheers.